[Résolu] Erreur activation plugin (Créer un compte)

  • WordPress :5.3
  • Statut : résolu
4 sujets de 1 à 4 (sur un total de 4)
  • Auteur
    Messages
  • #2337000
    bastian8ify
    Participant
    Initié WordPress
    3 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 10.4
    • Thème utilisé : Astra
    • Extensions en place :Advanced Custom Fields
      Custom Post Type UI
      Dashicons + Custom Post Types
      Elementor
      Essential Addons for Elementor
      Profile Builder
      Profile Builder – Customization Toolbox Add-On
      The Events Calendar
      UpdraftPlus – Sauvegarde/Restauration
    • Nom de l’hébergeur :  AlwaysData
    • Adresse du site : http://gestion-projet-s2.alwaysdata.net/

    Problème(s) rencontré(s) :

    Impossible d’installer ou de mettre à jour un plugin. Je suis obligé de passer via FTP si je veux intégrer un plugin. Je l’ai fais avec le plugin “The Events Calendar” mais lorsque je l’active dans le panneau de contrôle, j’ai l’erreur suivante:

     

    <b>Warning</b>: include(/home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/vendor/composer/../lucatume/di52/src/tad/DI52/Container.php): failed to open stream: No such file or directory in <b>/home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/vendor/composer/ClassLoader.php</b> on line <b>444</b>

    <b>Warning</b>: include(): Failed opening ‘/home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/vendor/composer/../lucatume/di52/src/tad/DI52/Container.php’ for inclusion (include_path=’.:/usr/alwaysdata/php/7.3.9/lib/php’) in <b>/home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/vendor/composer/ClassLoader.php</b> on line <b>444</b>

    <b>Fatal error</b>: Uncaught Error: Class ‘tad_DI52_Container’ not found in /home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php:8 Stack trace: #0 /home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(76): require_once() #1 /home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/src/Tribe/Main.php(49): Tribe__Main->__construct(NULL) #2 /home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/src/Tribe/Main.php(470): Tribe__Main::instance() #3 /home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/src/Tribe/Main.php(2986): Tribe__Events__Main->plugins_loaded() #4 /home/gestion-projet-s2/www/wp-includes/class-wp-hook.php(287): Tribe__Events__Main::activate(”) #5 /home/gestion-projet-s2/www/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(”, Array) #6 /home/gestion-projet-s2/www/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #7 /home/gestion-projet-s2/www/wp-admin/plugins.php(179): do_actio in <b>/home/gestion-projet-s2/www/wp-content/plugins/the-events-calendar/common/src/Tribe/Container.php</b> on line <b>8</b>

     

    Merci d’avance pour votre aide !

    #2337013
    momofr@free.fr
    Modérateur
    Maître WordPress
    3219 contributions

    Salut, quand tu indiques “PHP/MySQL : 10.4” il y a un souci, PHP c’est au mieux 7.4 et MySQL c’est 8.0 donc déjà essaye de nous donner la version PHP activée sur ton hébergement.

    De ce que vois je te propose de supprimer l’extension via FTP et de la ré-installer via WordPress car il semble qu’elle soit partiellement installée.

    #2337215
    bastian8ify
    Participant
    Initié WordPress
    3 contributions

    Bonjour,

    Merci de votre réponse. Je ne l’avais pas vu…

    Concernant la version de PHP/MySQL, j’ai ces infos sur mon hebergeur:

    Gestionnaire MySQL : phpMyAdmin

    Version : 10.4 (mariadb)

     

    Le problème étant justement que je ne peux pas installer d’extensions via le tableau de bord de WordPress. Ni même mettre à jour une extension. A chaque fois j’ai une erreur différente. J’ai ainsi essayer de désactiver mes extensions et thèmes pour essayer mais rien n’y fait.

     

    #2337216
    bastian8ify
    Participant
    Initié WordPress
    3 contributions

    Le problème c’est résolu tout seul 🙂

    Je ne comprend pas bien tout les rouages de WordPress je crois.

    Merci

4 sujets de 1 à 4 (sur un total de 4)
  • Vous devez être connecté pour répondre à ce sujet.